package cn.com.taiji.beidou.common.utils;


import java.math.BigDecimal;

/**
 * @Author CHEN
 * @Date 2022/11/15 16:46
 */
public class MathUtils {

    /**
     * 保留double类型的位数
     * @param d
     * @param i
     * @return
     */
    public static double getHalfUp(double d,int i){
        BigDecimal b = new BigDecimal(d);
        // 转换后的 double 值
        return b.setScale(i, BigDecimal.ROUND_HALF_UP).doubleValue();
    }
}
